cURL
curl --request GET \ --url https://app.msportal.ai/api/public/v1/devices/types/{id} \ --header 'Authorization: Bearer <token>'
{ "data": { "id": "<string>", "name": "<string>", "autoCategorization": true, "deviceCount": 123, "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z" } }
Retrieve a single device type by ID with device count.
Documentation IndexFetch the complete documentation index at: https://docs.msportal.ai/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.msportal.ai/llms.txt
Use this file to discover all available pages before exploring further.
Use your API key as a Bearer token. API keys can be generated in Settings → Integrations → API Access.
Device type ID
Device type details
Show child attributes
Was this page helpful?